Get User Objects

Prev Next
Get
/v2/users/identities/{USER_IDENTITY_ID}/objects

This API retrieves conversation objects associated with a specific user identity. In its upgraded V2 version, it also provides the real-time count of unread chat messages for each conversation, enabling organizations to display up-to-date unread message indicators on their websites or applications.

Path param includes the userIdentityId.
Obtain this 'user_identity' value from the Get Object API using the channel and conversation IDs.

Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Path parameters
USER_IDENTITY_ID
integer (int64) Required

Only return objects created by this user

Responses
200

OK

success

Successful response with conversation data

{
  "totalUnreadChatMessages": 2,
  "status": 200,
  "description": "Operation successful",
  "response_time": "2026-02-12T15:09:23.998Z",
  "data": [
    {
      "objectId": 396001,
      "streamId": 19155,
      "subStreamId": 0,
      "streamProviderId": "",
      "streamProviderType": 0,
      "user_identity": 558355,
      "firstName": "",
      "lastName": "",
      "moduleId": 0,
      "userStreamProviderId": "d7655a64-ac14-4aa1-8907-1e26402ac6da",
      "userStreamProviderType": 6,
      "content": "{\"guidRT\":\"d34f89f73ffb4ec9909b7da1964cb7cb\",\"languages\":[{\"Item1\":\"en\",\"Item2\":1471163}]}",
      "message": "

What is your ID number? 

", "createdTime": "2026-02-12T15:01:02Z", "updatedTime": "2026-02-12T15:08:16Z", "closedTime": null, "firstResponseTime": "2026-02-12T15:01:27Z", "lastResponseTime": "2026-02-12T15:09:13Z", "statusId": 1, "assignedManagerId": 0, "lastAssignedManagerId": 0, "type": 0, "user": { "id": 545516, "managerId": null, "isManager": false, "encryptedId": null, "identity": null, "uniqueId": "", "phone1": "", "phone2": "", "email": "", "firstName": "", "lastName": "", "gender": "", "numberIdentities": 1, "locale": "", "birthday": "", "remarks": "", "content": "{}" }, "isManager": false, "childs": [ { "id": 1471164, "objectId": 396001, "content": "{\"messageAlreadyRenderedFromClient\":true}", "message": "Hi, How can I help you?", "createdTime": "2026-02-12T15:00:57Z", "streamProviderType": 0, "type": 11, "user": { "id": 545437, "managerId": 545437, "isManager": true, "encryptedId": "HnJymfEHh8dORgiV0otwEgRpcFYJqKfueiQqPvbZTrs%3d", "identity": { "id": 558237, "streamProviderId": "", "streamProviderType": 0, "firstName": "AI Agent", "lastName": "", "thumbnailUrl": "" }, "uniqueId": null, "phone1": null, "phone2": null, "email": null, "firstName": null, "lastName": null, "gender": null, "numberIdentities": 0, "locale": null, "birthday": null, "remarks": null, "content": null } } ], "activityLogs": [], "tagsObjectId": [], "customerParticipants": [], "unreadMessages": 2 } ] }
Expand All
object
totalUnreadChatMessages
integer

Total count of unread chat messages across all conversations

status
integer
description
string
response_time
string (date-time)
data
Array of object
object
objectId
integer
streamId
integer
subStreamId
integer
streamProviderId
string
streamProviderType
integer
user_identity
integer
firstName
string
lastName
string
moduleId
integer
userStreamProviderId
string
userStreamProviderType
integer
content
string
message
string
createdTime
string (date-time)
updatedTime
string (date-time)
closedTime
string (date-time) | null
firstResponseTime
string (date-time)
lastResponseTime
string (date-time)
statusId
integer
assignedManagerId
integer
lastAssignedManagerId
integer
type
integer
user
object (User)
Id
integer (int64)

User ID. This is a commbox generated number for the customer

UniqueId
string (50)

User’s unique identifier. This can be an email, social security number or any other type of unique string determined by the brand administrators

Phone1
string (numeric string (20))

User’s phone number (should include country and area code without leading + or 00)

Phone2
string (numeric string (20))

User’s additional phone number (should include country and area code without leading + or 00)

Email
string (255)

User's Email.

FirstName
string (100)

User’s first name

LastName
string (100)

User’s last name

Gender
string (1)

User’s gender (‘M’ for male, ‘F’ for female)

Locale
object

User’s locale

Birthday
string (date)

User’s birthday

NumIdentities
integer

Number of active identities that are connected to this user

IsManager
boolean

Indicates whether this user is a agent or an admin (true) or a customer (false)

Remarks
string

Free text containing general remarks about the user

Identity
object

Identity object that is connected to the user

isManager
boolean
childs
Array of object
object
id
integer
objectId
integer
content
string
message
string
createdTime
string (date-time)
streamProviderType
integer
type
integer
user
object
id
integer
managerId
integer
isManager
boolean
encryptedId
string
identity
object
id
integer
streamProviderId
string
streamProviderType
integer
firstName
string
lastName
string
thumbnailUrl
string
uniqueId
string | null
phone1
string | null
phone2
string | null
email
string | null
firstName
string | null
lastName
string | null
gender
string | null
numberIdentities
integer
locale
string | null
birthday
string | null
remarks
string | null
content
string | null
activityLogs
Array of object
object
tagsObjectId
Array of integer
integer
customerParticipants
Array of object
object
unreadMessages
integer

Count of unread messages for this specific conversation

400

Bad Request - The request could not be understood by the server. Incoming parameters might not be valid

object
status
integer
Example400
description
string
ExampleBad Request
response_time
string (date-time)
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized access
response_time
string (date-time)
404

Not Found - The requested resource is not found

object
status
integer
Example400
description
string
ExampleNot found
response_time
string (date-time)
429

Too Many Requests - Too many requests have been made in a short period of time (Throttling)

object
status
integer
Example429
description
string
ExampleToo Many Requests
response_time
string (date-time)
500

Internal Server Error - The server could not return the representation due to an internal server error

{
  "status": 500,
  "description": "Operation failed",
  "response_time": "2025-04-15T07:24:52.956Z"
}
object
status
integer
Example500
description
string
ExampleOperation failed
response_time
string (date-time)
501

Not Implemented - The requested operation is not supported

object
status
integer
Example501
description
string
ExampleNot Implemented
response_time
string (date-time)